# Interface MenuFactory

Creates new instances of menus/Menu!Menu.

interface MenuFactory {
create<TMenuProps>(properties: TMenuProps): Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>;
}

#####
Index

### Methods

create

##
Methods

### create

- create<TMenuProps>(properties): Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

- Creates a menus/Menu!Menu from the given properties.

  #### Type Parameters

  - TMenuProps extends MenuProperties = MenuProperties

  #### Parameters

  - properties: TMenuProps

    The Menu properties.

  #### Returns Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>